$(document).ready(function () {
    GestaoLinhaGlobaisInit();
    loadFunctionsMenu();
});


function loadFunctionsMenu() {

    $('#btn_menu').click(function () {
        $("#menu").toggle("slide", { direction: 'left' }, 200);
        $('#btn_menu, .icon_menu').toggleClass('active');
    });

    $('.menu_item').unbind('click');

    //FUNÇÃO DO CLIQUE SOBRE UM ITEM DE MENU QUE ABRA OUTRAS JANELAS DE MENU
    $('.menu_item').click(function () {
        //desativarIconeHover();

        if ($(this).parents('.menu_bloco').length) {
            $(this).next('.menu_bloco').css('left', $(this).parents('.menu_bloco').outerWidth() + 1 + 'px');
            $(this).next('.menu_bloco').css('top', $(this).position().top);
            $(this).parents('.menu_bloco').show(); //mostra os blocos-pai
        } else {
            $('.menu_bloco').not($(this).next('.menu_bloco')).hide(); //esconde todos os blocos            
        }

        $(this).next('.menu_bloco').toggle('fade', 200);
    });

    //evento do botão para fechar janela do menu
    $('.menu_titulo .icon_fechar').click(function () {
        $(this).closest('.menu_bloco').hide();
        $(this).parents('.menu_titulo').parent('.menu_bloco').prev('.icone').removeClass('active');
    });
}